Delete a value list item
- Base URL
-
https://{kibana_url}
- DELETE /api/lists/items
Delete a value list item using its id, or its list_id and value fields.
Query parameters
-
idstring · format: nonempty · min length: 1 -
Value list item's identifier. Required if
list_idandvalueare not specified. -
Example:
54b01cfb-058d-44b9-838c-282be16c91cd -
list_idstring · format: nonempty · min length: 1 -
Value list's identifier. Required if
idis not specified. -
Example:
21b01cfb-058d-44b9-838c-282be16c91cd
Responses
Successful response
ListItem[]
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typeenumrequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typeenumrequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
Unsuccessful authentication response
Not enough privileges response